Page MenuHomePhabricator

Tags for page moves should apply to auto-generated edits
Closed, ResolvedPublic

Description

When a page is moved, 2 edits are automaticlly generated - a redirect at the source, and a "move" revision at the target. If the edit filter places a tag on the log entry, the tag should also be auto-applied to the other 2 edits. (Same should probably also apply to the "protect" revision when protecting a page, but that's less critical.)


Version: unspecified
Severity: enhancement

Details

Reference
bz70518

Related Objects

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:56 AM
bzimport added a project: AbuseFilter.
bzimport set Reference to bz70518.
bzimport added a subscriber: Unknown Object (MLST).
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 23 2016, 5:20 PM
Cenarium added a comment.EditedFeb 23 2016, 5:35 PM

This will be automatically resolved for the null revision once T70936 is.

Cenarium lowered the priority of this task from Low to Lowest.Feb 23 2016, 6:00 PM
Amire80 raised the priority of this task from Lowest to Normal.May 8 2016, 8:08 AM
Amire80 added a subscriber: Amire80.

I'm not sure why is it lowest. It allows bypassing filters that are applied only to some namespaces and sneaking bad edits past people who watch them by tags (to give just one example).

GeoffreyT2000 closed this task as Resolved.Feb 7 2017, 2:45 AM
GeoffreyT2000 claimed this task.
GeoffreyT2000 added a subscriber: GeoffreyT2000.

Already fixed with Change 266181, so closing this as resolved.